Page MenuHomeFreeBSD

ctl: Add structure and related constants for NVMe commands
ClosedPublic

Authored by jhb on Apr 9 2024, 11:04 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jul 8, 3:26 PM
Unknown Object (File)
Sat, Jun 29, 2:37 PM
Unknown Object (File)
Wed, Jun 26, 3:18 AM
Unknown Object (File)
Wed, Jun 26, 2:19 AM
Unknown Object (File)
Wed, Jun 26, 2:01 AM
Unknown Object (File)
Fri, Jun 21, 10:19 PM
Unknown Object (File)
Jun 16 2024, 5:56 PM
Unknown Object (File)
Jun 13 2024, 6:27 PM
Subscribers
None

Details

Summary

This includes static inline functions to serve as getters/setters for
fields shared between SCSI and NVMe I/O requests to manage data
buffers.

Sponsored by: Chelsio Communications

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Skipped
Unit
Tests Skipped
Build Status
Buildable 57008
Build 53896: arc lint + arc unit

Event Timeline

jhb requested review of this revision.Apr 9 2024, 11:04 PM
This revision is now accepted and ready to land.Apr 15 2024, 3:23 PM
This revision now requires review to proceed.Apr 18 2024, 5:55 PM
This revision was not accepted when it landed; it landed in state Needs Review.May 3 2024, 12:16 AM
This revision was automatically updated to reflect the committed changes.